%define name gnbd-kernel
%define version 2.6.10
%define pre 0
%define release 2mdk
%define rkernel %(/bin/bash ~/rpm/SOURCES/get_version.sh)

Summary: gnbd-kernel The kernel module for GFS's Network Block Device
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}-%pre.tar.bz2
Source1: get_version.sh
Patch0: configure_kernel.patch
License: GPL
Group: System
#Url: 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
buildrequires: kernel-source

%description
gnbd-kernel The kernel module for GFS's Network Block Device
The gnbd kernel headers are used to compile the gnbd userland tools.

%package -n %name-%{rkernel}
Summary: gnbd-kernel The kernel module for GFS's Network Block Device
requires: kernel
Group: System/Kernel and Hardware

%description -n %name-%{rkernel}
gnbd-kernel The kernel module for GFS's Network Block Device

%prep
%setup -q -n %{name}-%{version}-%pre
%patch0 -p0

%build
./configure --incdir=%{_includedir} \
	--kernel_src=/usr/src/linux \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sbindir=%{_sbindir} \
	--module_dir=/lib/modules/%{rkernel}
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT

%post -n %name-%{rkernel}
depmod -a -F /boot/System.map-%{rkernel} %{rkernel}

%postun -n %name-%{rkernel}
depmod -a -F /boot/System.map-%{rkernel} %{rkernel}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_includedir}/linux/gnbd.h
%doc

%files -n %name-%{rkernel}
/lib/modules/*

%changelog
* Mon Apr 11 2005  <guibo@node21.guibland.com> 2.6.10-2mdk
- fix requires

* Mon Apr 11 2005 Antoine Ginis <aginies@mandriva.com> 2.6.10-1mdk
- first release
